# POST /avatar/generation

**Method**: `POST`
**Endpoint**: `/avatar/generation`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
GenAvatarVideo Request
Optional
  // provider-specific example normalized for English documentation
One of:
allOf
allOf
allOf
One of:
allOf
  // provider-specific example normalized for English documentation
Example:
{"audio_url":"https://example.com/audio.mp3","avatar_url":"https://example.com/avatar.jpg","no_watermark":true}
{"create_voice":{"audio_url":"https://example.com/voice.mp3","language":"en","text":"Hello, world!"},"avatar_url":"https://example.com/avatar.jpg"}
{"use_voice":{"voice_engine_id":"nina","audio_id":"b92d7e1c40d0447eb563a13ec92d9042","language":"en","text":"Hello, world!"},"avatar_url":"https://example.com/avatar.mp4"}
Example
"string"
```

## Example Request

### Shell

```bash
curl --location --request POST '/avatar/generation' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '"string"'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
string
Optional
```

#### Example

```json
{
    "code": "success",
    "message": "",
    "data": "57b9ba07db5e4ed5bf18ebb4179a826d"
}
```
